package com.pcloud.common.utils.mq;
/**
 * 
 * @描述：消息类型
 * @作者：shichunshan
 * @创建时间：2016年6月23日,下午2:33:07
 * @版本：1.0
 */
public enum MqMessageTypeEnum {
	
	EMAIL((short)1,"邮件"),
	
	SMS((short)2,"短信"),
	
	LETTER((short)3,"站内信"),
	
	SHORT_MESSAGE((short)4,"短信"),
	
	APP_MESSAGE((short)5,"app推送");
	/**
	 * 类型值
	 */
	private short value;
	/**
	 * 类型描述
	 */
	private String desc;
 
	private MqMessageTypeEnum(short value,String desc){
		this.value=value;
		this.desc=desc;
	}

	public short getValue() {
		return value;
	}

	public void setValue(short value) {
		this.value = value;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}
	
	
}
